<?
include '../../config.php';
include '../../func.php';
head();
aut();
ban();

$config = mysql_fetch_assoc(mysql_query("SELECT * FROM `config`"));

if ( $_GET['mod'] == 1 AND $_GET['res'] == 'good' ) {
    
    echo link1 . 'Комнаты очищены' . div; 
    
}

if ( $_GET['mod'] == 1 AND $_GET['res'] == 'eroor' ) {
    
    echo link1 . 'Ошибка при очистке' . div; 
    
}

if ( $_GET['mod'] == 2 AND $_GET['res'] == 'good' ) {
    
    echo link1 . 'Комнаты будут очищены' . div; 
    
}

if ( $_GET['mod'] == 2 AND $_GET['res'] == 'eroor' ) {
    
    echo link1 . 'Ошибка при очистке' . div; 
    
}


if ( $_GET['mod'] == 'status' ) {
    
    if ( $config['status_chat'] == 0 ) {
        mysql_query("UPDATE `config` SET `status_chat` = '1'");
        echo link2 . 'Чат включен' . div;
    } else {
        mysql_query("UPDATE `config` SET `status_chat` = '0'");
        echo link2 . 'Чат выключен' . div;        
    }
    
}

if ( $config['status_chat'] == 0 ) {
    echo link2 . 'Статус модуля: <b>Выключен</b><br/ > 
    [<a href="index.php?mod=status">ON</a>] <b>OFF</b><br/ >' . div;
} else {
    echo link2 . 'Статус модуля: <b>Включен</b><br/ > 
    [<a href="index.php?mod=status">OFF</a>] <b>ON</b><br/ >' . div;    
}

$all = mysql_result(mysql_query("SELECT count(*) FROM `room`"), 0);
echo link1 . '<a href="rooms.php">Комнаты чата</a> ['.$all.']' . div;

echo link2 . '<a href="clean.php?mod=1">Чистка комнат</a><br/ >';
echo '<a href="clean.php?mod=2">Чистка</a> [Time]' . div;